# -*- coding: utf-8 -*-
class Resistor:
	"Model of resistor"
	r = 0	#Resistivity [Ω]
	tolerance = 20	#Tolerance [%]
	colors = ['black', 'brown', 'red', 'orange', 'yellow', 'green', 'blue', 'violet', 'gray', 'white']
	tolerances = dict(zip(colors, (None, 1, 2, None, None, .5, .25, .1, .05, None)))
	
	def __init__(self, r = None, tol = None):
		self.setValue(r, tol)
	
	def __str__(self):
		return str(self.r)
	
	def __repr__(self):
		return str(self.r) + " Ω, ±" + str(self.tolerance) + " %"
	
	def getValue(self):
		return self.r, self.tolerance
	
	def setValue(self, r = None, tol = None):
		if r:
			self.r = int(r)
		if tol:
			if float(tol) < 1:
				self.tolerance = float(tol)
			else:
				self.tolerance = int(tol)
